Activiti Plugin v5.18 Eclipse Oxygen error with diagrams

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Member II

Activiti Plugin v5.18 Eclipse Oxygen error with diagrams

I'm having troubles to use the Activiti Editor with the plugin on Eclipse Oxygen 3.7.1 installed on Ubuntu 17.10 (Artful).

When creating a new diagram this is how it looks when i open it with the Activiti editor Activiti Editor

I tried installing others versions of Eclipse but the same thing happens

Here is a snap of the logs on the IDE

logs

After restarting Eclipse with the same workspace it won't open saying that an error ocurred.
Deleting the project directory will work for opening the IDE again

The logs for the errors are attached.

1 Reply
Highlighted
Senior Member

Re: Activiti Plugin v5.18 Eclipse Oxygen error with diagrams

Hi Rodrigo, 

As far as I know the eclipse plugin is not being updated anymore, we are working on new tools for that. In the meantime you should be able to use any BPMN editor, even the one provided in the Activiti WAR App to model your business processes. 

Alternatively you can use an old version of Eclipse that will probably work with the plugin.